# -*- coding: utf-8 -*-

import clr
import sys
import System

sys.path.append(UI.StartupPath+'\Script\Module\dll')
clr.AddReferenceToFile("EasyScript.dll")

from EasyScript import *

EasyScript = EasyScript()

UI.UpdateLog("測試 FindStrText 函數 於 1234567890 找出 345 的位置於 " + str(EasyScript.FindStrText("1234567890","345")))
UI.UpdateLog("測試 GetDate 函數 現在日期是 " + EasyScript.GetDate())
UI.UpdateLog("測試 GetTime 函數 現在時間是 " + str(EasyScript.GetTime()))
UI.UpdateLog("測試 ReplaceVariable 函數 原字串 1234567890 將 456 取代為 ABC 結果為 " + EasyScript.ReplaceVariable("1234567890","456","ABC"))
UI.UpdateLog("測試 RandomizeNumber 函數 產生 50 - 100 的隨意亂數值 " + str(EasyScript.RandomizeNumber(100,50)))
UI.UpdateLog("測試 RandomizeText 函數 產生 10 碼的英文大寫亂數 " + EasyScript.RandomizeText("A",10))
UI.UpdateLog("測試 RandomizeText 函數 產生 10 碼的英文小寫亂數 " + EasyScript.RandomizeText("a",10))
UI.UpdateLog("測試 RandomizeText 函數 產生 10 碼的數字亂數 " + EasyScript.RandomizeText("n",10))
UI.UpdateLog("測試 RandomizeText 函數 產生 10 碼的隨機亂數 " + EasyScript.RandomizeText("x",10))
UI.UpdateLog("測試 StrToBase64 函數 由字串 1234567890 轉 Base64 編碼輸出為 " + EasyScript.StrToBase64("1234567890"))
UI.UpdateLog("測試 StrToMD5 函數 由字串 1234567890 轉 MD5 編碼輸出為 " + EasyScript.StrToMD5("1234567890"))
UI.UpdateLog("測試 Base64Decode 函數 由 Base64 編碼 MQAyADMANAA1ADYANwA4ADkAMAA= 轉 Decode 輸出為 " + EasyScript.Base64Decode("MQAyADMANAA1ADYANwA4ADkAMAA="))
UI.UpdateLog("測試 SpotStrToVariable 函數 傳入參數 資料1|資料2|資料3 得隨機輸出 " + EasyScript.SpotStrToVariable("資料1|資料2|資料3"))
UI.UpdateLog("測試 SaveDataToFile 指令 將 測試文字寫入 文字寫入到 C:\Script.txt 文字檔中 " + EasyScript.SaveDataToFile("C:\Script.txt","測試文字寫入"))
UI.UpdateLog("測試 LoadFileToVariable 指令 讀取 C:\Script.txt 文字檔中的內容為 " + EasyScript.LoadFileToVariable("C:\Script.txt"))
UI.UpdateLog("測試 ConvertBases 函數 將 123 的十進位轉為 16 進位得值 " + EasyScript.ConvertBases("123",10,16))
UI.UpdateLog("測試 StrToRegExpEscape 函數 將 \.$^{}[]()|*+?/ 的轉換為正則表達式參數的值為 " + EasyScript.StrToRegExpEscape("\.$^{}[]()|*+?/"))
UI.UpdateLog("測試 UrlEncodeUnicode 函數 將 http://www.kimo.com.tw?a=測試 字串轉成 Unicode 編碼為" + EasyScript.UrlEncodeUnicode("http://www.kimo.com.tw?a=測試"))
UI.UpdateLog("測試 Escape 函數 將 http://www.kimo.com.tw?a=測試 字串轉成 Escape 編碼為" + EasyScript.Escape("http://www.kimo.com.tw?a=測試"))
UI.UpdateLog("測試 UrlDecode 函數 將 http%3a%2f%2fwww.kimo.com.tw%3fa%3d%u6e2c%u8a66 編碼還原回 " + EasyScript.UrlDecode("http%3a%2f%2fwww.kimo.com.tw%3fa%3d%u6e2c%u8a66"))
UI.UpdateLog("測試 Str2UnicodeHTML 函數 將 http://www.kimo.com.tw?a=測試 編碼為 " + EasyScript.Str2UnicodeHTML("http://www.kimo.com.tw?a=測試"))
UI.UpdateLog("測試 FFormat 函數 12345 使用 格式化參數 #,##0 結果為 " + EasyScript.FFormat("12345","#,##0"))
UI.UpdateLog("測試 SSplit 函數 111,222,333,444,555 使用 , 號作為分割字符並取得第 3 個參數為 " + EasyScript.SSplit("111,222,333,444,555",",",3))
UI.UpdateLog("測試 GetstrToVariable 函數 [111],[222],[333],[444],[555] 使用 [ 與 ] 作為分割字符並取得第 3 個參數為 " + EasyScript.GetstrToVariable("[111],[222],[333],[444],[555]","[","]",3))
UI.UpdateLog("測試 Matches 函數 驗證 12345 是否為正整數 傳回 " + str(EasyScript.Matches("12345","^[0-9]*[1-9][0-9]*$")))
UI.UpdateLog("測試 HtmlDecode 函數將 &#104;&#116;&#116;&#112;&#58;&#47;&#47;&#119;&#119;&#119;&#46;&#107;&#105;&#109;&#111;&#46;&#99;&#111;&#109;&#46;&#116;&#119;&#63;&#97;&#61;&#28204;&#35430; 編碼還原為 " + EasyScript.HtmlDecode("&#104;&#116;&#116;&#112;&#58;&#47;&#47;&#119;&#119;&#119;&#46;&#107;&#105;&#109;&#111;&#46;&#99;&#111;&#109;&#46;&#116;&#119;&#63;&#97;&#61;&#28204;&#35430;"))
UI.UpdateLog("取得您的網路卡序號為 " + EasyScript.GetMacAddress())
UI.UpdateLog("取得您的硬碟序號為 " + EasyScript.GetHardCode())
UI.UpdateLog("取得您的 CPU 序號為 " + EasyScript.GetCPUCode())
UI.ProceFalse()
